## xmp 3.2.0

=== Makefile ===

VERSION	= 3.2.0
DIST    = xmp-$(VERSION)
MODULES = "bzl-funky_escalator.xm"
DFILES  = README INSTALL configure configure.in Makefile Makefile.rules.in \
	  scripts $(MODULES)
DDIRS	= docs drivers etc include loaders misc player plugin prowiz win32 \
	  tunenet main
LIB	= libxmp.a
V	= 0

all: binaries

include Makefile.rules

# This is the "lib" part
include src/include/Makefile
include src/loaders/Makefile
include src/loaders/prowizard/Makefile
include src/misc/Makefile
include src/player/Makefile
include src/win32/Makefile

LOBJS = $(OBJS:.o=.lo)

# These are the applications
include src/drivers/Makefile
include src/main/Makefile
include src/plugin/Makefile
include src/plugin/tunenet/Makefile
include docs/Makefile
include etc/Makefile

sinclude src/test/Makefile

XCFLAGS = -Isrc/include -DSYSCONFDIR=\"$(SYSCONFDIR)\" -DVERSION=\"$(VERSION)\"

.SUFFIXES: .c .o .lo .a .so .dll

# Implicit rules for object generation. Position-independent code is intended
# to be used in plugins, so it's also built thread-safe and with the callback
# driver only.

.c.o:
	@CMD='$(CC) $(CFLAGS) $(XCFLAGS) -o $*.o $<'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo CC $*.o ; fi; \
	eval $$CMD

.c.lo:
	@CMD='$(CC) $(CFLAGS) -fPIC -D_REENTRANT $(XCFLAGS) -o $*.lo $<'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo CC $*.lo ; fi; \
	eval $$CMD


binaries: src/main/xmp $(PLUGINS)

# Legacy libxmp.a creation, in case someone needs it
#$(LIB): $(OBJS)
#	@CMD='$(AR) r $@ $(LOBJS)'; \
#	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo AR $@ ; fi; \
#	eval $$CMD
#	ranlib libxmp.a

clean:
	@rm -f $(OBJS) $(LIB) $(OBJS:.o=.lo) $(M_OBJS) $(D_OBJS) $(CLEAN)

install: install-xmp install-etc install-docs $(addprefix install-, $(PLUGINS))
	@echo
	@echo "  Installation complete. To customize, copy $(SYSCONFDIR)/xmp.conf"
	@echo "  and $(SYSCONFDIR)/modules.conf to \$$HOME/.xmp/"
	@echo


depend:
	@echo Building dependencies...
	@echo > $@
	@for i in $(OBJS) $(D_OBJS) $(M_OBJS); do \
	    c="$${i%.o}.c"; l="$${i%.o}.lo"; \
	    $(CC) $(CFLAGS) $(XCFLAGS) -MM -MG $$c | \
		sed "s!^.*\.o:!$$i $$l:!" >> $@ ; \
	done
	    
dist: dist-prepare dist-subdirs

dist-prepare:
	rm -Rf $(DIST) $(DIST).tar.gz
	mkdir -p $(DIST)
	cp -RPp $(DFILES) $(DIST)/

dist-subdirs: $(addprefix dist-,$(DDIRS))
	chmod -R u+w $(DIST)/*
	tar cvf - $(DIST) | gzip -9c > $(DIST).tar.gz
	rm -Rf $(DIST)
	ls -l $(DIST).tar.gz

$(OBJS): Makefile.rules

$(LOBJS): Makefile.rules

sinclude depend

=== docs/Makefile ===

DOCS_DFILES	= Makefile COPYING CREDITS README.awebug \
		  README.unsqsh README.fixloop README.trackers ChangeLog \
		  xmp.1 README.os2 pt_versions.txt st02-ok.sample formats
DOCS_PATH	= docs

install-docs:
	@echo "Installing manpages in $(DESTDIR)$(MANDIR)"
	@[ -d $(DESTDIR)$(MANDIR) ] || mkdir -p $(DESTDIR)$(MANDIR)
	@$(INSTALL_DATA) docs/xmp.1 $(DESTDIR)$(MANDIR)

dist-docs:
	mkdir -p $(DIST)/$(DOCS_PATH)
	cp -RPp $(addprefix $(DOCS_PATH)/,$(DOCS_DFILES)) $(DIST)/$(DOCS_PATH)

=== etc/Makefile ===

ETC_DFILES	= Makefile xmp.conf modules.conf xmp.spec
ETC_PATH	= etc

install-etc:
	@[ -d $(DESTDIR)$(SYSCONFDIR) ] || mkdir -p $(DESTDIR)$(SYSCONFDIR)
	@echo "Installing xmp.conf in $(SYSCONFDIR)"
	@$(INSTALL_DATA) $(ETC_PATH)/xmp.conf $(DESTDIR)$(SYSCONFDIR)/
	@echo "Installing modules.conf in $(SYSCONFDIR)"
	@$(INSTALL_DATA) $(ETC_PATH)/modules.conf $(DESTDIR)$(SYSCONFDIR)/

dist-etc:
	mkdir -p $(DIST)/$(ETC_PATH)
	cp -RPp $(addprefix $(ETC_PATH)/,$(ETC_DFILES)) $(DIST)/$(ETC_PATH)

=== src/drivers/Makefile ===

DRV	= file.c oss.c hpux.c bsd.c solaris.c oss_seq.c alsa.c alsa05.c \
	  esd.c sgi.c os2_dart.c netbsd.c openbsd.c aix.c nas.c arts.c qnx.c \
	  win32.c smix.c wav.c osx.c beos.c alsa_seq.c pulseaudio.c \
	  amiga.c sndio.c

DRIVERS_OBJS	= file.o wav.o
DRIVERS_LOBJS	= smix.lo
DRIVERS_DFILES	= Makefile $(DRV) debug.c
DRIVERS_PATH	= src/drivers

# Don't include platform-specific drivers in DRIVERS_OBJS so we can generate
# foreign makefiles from it (such as MSVC .dsp files, etc)

D_OBJS	= $(addprefix $(DRIVERS_PATH)/,$(DRIVERS_OBJS) $(DRIVERS))
D_LOBJS	= $(addprefix $(DRIVERS_PATH)/,$(DRIVERS_LOBJS))

dist-drivers:
	mkdir -p $(DIST)/$(DRIVERS_PATH)
	cp -RPp $(addprefix $(DRIVERS_PATH)/,$(DRIVERS_DFILES)) $(DIST)/$(DRIVERS_PATH)

$(DRIVERS_PATH)/beos.o: src/drivers/beos.c
	g++ -c $(XCFLAGS) -o $@ $+

$(DRIVERS_PATH)/arts.o: src/drivers/arts.c
	$(CC) $(CFLAGS) $(XCFLAGS) `artsc-config --cflags` -o $@ $+

=== src/include/Makefile ===

INCLUDE_DFILES	= Makefile config.h.in xmp.h common.h effects.h period.h \
		  driver.h mixer.h xxm.h getopt.h convert.h list.h \
		  readhuff.h readrle.h readlzw.h loader.h
INCLUDE_PATH	= src/include

dist-include:
	mkdir -p $(DIST)/$(INCLUDE_PATH)
	cp -RPp $(addprefix $(INCLUDE_PATH)/,$(INCLUDE_DFILES)) $(DIST)/$(INCLUDE_PATH)

=== src/loaders/Makefile ===

LOADERS	= xm_load.o mod_load.o s3m_load.o stm_load.o 669_load.o far_load.o \
	  mtm_load.o ptm_load.o okt_load.o alm_load.o amd_load.o rad_load.o \
	  ult_load.o mdl_load.o it_load.o stx_load.o pt3_load.o sfx_load.o \
	  flt_load.o st_load.o emod_load.o imf_load.o digi_load.o fnk_load.o \
	  ice_load.o hsc_load.o liq_load.o ims_load.o masi_load.o amf_load.o \
	  psm_load.o stim_load.o mmd1_load.o mmd3_load.o \
	  rtm_load.o dmf_load.o tcb_load.o dt_load.o gtk_load.o no_load.o \
	  arch_load.o sym_load.o dtt_load.o mgt_load.o med3_load.o \
	  med4_load.o ssmt_load.o dbm_load.o umx_load.o gdm_load.o \
	  coco_load.o pw_load.o gal5_load.o gal4_load.o mfp_load.o \
	  polly_load.o

LOADERS_OBJS	= common.o iff.o itsex.o asif.o voltable.o $(LOADERS)
LOADERS_DFILES	= Makefile $(LOADERS_OBJS:.o=.c) ftm_load.c med2_load.c \
		  asif.h far.h iff.h imf.h it.h liq.h load.h med.h mod.h \
		  mtm.h ptm.h rtm.h s3m.h stm.h stx.h xm.h
LOADERS_PATH	= src/loaders

OBJS += $(addprefix $(LOADERS_PATH)/,$(LOADERS_OBJS))

dist-loaders:
	mkdir -p $(DIST)/$(LOADERS_PATH)
	cp -RPp $(addprefix $(LOADERS_PATH)/,$(LOADERS_DFILES)) $(DIST)/$(LOADERS_PATH)

=== src/main/Makefile ===

MAIN_OBJS	= getopt.o getopt1.o options.o drivers.o main.o
MAIN_DFILES	= Makefile $(MAIN_OBJS:.o=.c)
MAIN_PATH	= src/main

dist-main:
	mkdir -p $(DIST)/$(MAIN_PATH)
	cp -RPp $(addprefix $(MAIN_PATH)/,$(MAIN_DFILES)) $(DIST)/$(MAIN_PATH)

$(MAIN_PATH)/options.o: Makefile

M_OBJS	= $(addprefix $(MAIN_PATH)/,$(MAIN_OBJS))

$(MAIN_PATH)/xmp: $(OBJS) $(M_OBJS) $(D_OBJS)
	@CMD='$(LD) -o $@ $(LDFLAGS) $(OBJS) $(M_OBJS) $(D_OBJS) $(LIBS)'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo LD $@ ; fi; \
	eval $$CMD

install-xmp: $(MAIN_PATH)/xmp
	@echo Installing xmp in $(DESTDIR)$(BINDIR)
	@[ -d $(DESTDIR)$(BINDIR) ] || mkdir -p $(DESTDIR)$(BINDIR)
	@$(INSTALL_PROGRAM) $+ $(DESTDIR)$(BINDIR)

=== src/misc/Makefile ===

MISC_OBJS	= control.o info.o readdata.o load.o ppdepack.o unsqsh.o \
		  mmcmp.o readrle.o readhuff.o readlzw.o unarc.o arcfs.o \
		  oxm.o mkstemp.o xfd.o crc32.o inflate.o muse.o unlzx.o \
		  s404_dec.o
MISC_DFILES	= Makefile $(MISC_OBJS:.o=.c)
MISC_PATH	= src/misc

OBJS += $(addprefix $(MISC_PATH)/,$(MISC_OBJS))

dist-misc:
	mkdir -p $(DIST)/$(MISC_PATH)
	cp -RPp $(addprefix $(MISC_PATH)/,$(MISC_DFILES)) $(DIST)/$(MISC_PATH)

=== src/player/Makefile ===

PLAYER_OBJS	= convert.o driver.o formats.o misc.o period.o player.o \
		  readrc.o scan.o ulaw.o cruncher.o med_synth.o filter.o \
		  fmopl.o synth.o mix_all.o effects.o mixer.o
PLAYER_DFILES	= Makefile $(PLAYER_OBJS:.o=.c) effects.c player.h fmopl.h \
		  synth.h smix.h
PLAYER_PATH	= src/player

OBJS += $(addprefix $(PLAYER_PATH)/,$(PLAYER_OBJS))

dist-player:
	mkdir -p $(DIST)/$(PLAYER_PATH)
	cp -RPp $(addprefix $(PLAYER_PATH)/,$(PLAYER_DFILES)) $(DIST)/$(PLAYER_PATH)

=== src/plugin/Makefile ===

PLUGIN_OBJS	=
PLUGIN_DFILES	= Makefile $(PLUGIN_OBJS:.o=.c) xmms.c bmp.c audacious.c \
		  winamp.c resource.rc resource.h in2.h out.h
PLUGIN_PATH	= src/plugin

dist-plugin:
	mkdir -p $(DIST)/$(PLUGIN_PATH)
	cp -RPp $(addprefix $(PLUGIN_PATH)/,$(PLUGIN_DFILES)) $(DIST)/$(PLUGIN_PATH)


WINDRES = i586-mingw32msvc-windres


plugin-audacious: $(PLUGIN_PATH)/xmp-audacious.so

$(PLUGIN_PATH)/xmp-audacious.so: $(PLUGIN_PATH)/audacious.lo $(LOBJS) $(D_LOBJS)
	@CMD='$(LD) -shared -o $@ $(LOBJS) $(D_LOBJS) $(PLUGIN_PATH)/audacious.lo `pkg-config --libs audacious`'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo LD $@ ; fi; \
	eval $$CMD

$(PLUGIN_PATH)/audacious.lo: $(PLUGIN_PATH)/audacious.c $(PLUGIN_PATH)/Makefile
	@CMD='$(CC) $(CFLAGS) -fPIC -D_REENTRANT $(XCFLAGS) `pkg-config --cflags audacious` -o $@ $(PLUGIN_PATH)/audacious.c'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo CC $@ ; fi; \
	eval $$CMD

install-plugin-audacious:
	@DIR="$(DESTDIR)`pkg-config --variable=input_plugin_dir audacious`"; \
	echo "Installing xmp-audacious.so in $$DIR"; \
	[ -d "$$DIR" ] || mkdir -p "$$DIR"; \
	$(INSTALL_PROGRAM) $(PLUGIN_PATH)/xmp-audacious.so "$$DIR"



plugin-bmp: $(PLUGIN_PATH)/xmp-bmp.so

$(PLUGIN_PATH)/xmp-bmp.so: $(PLUGIN_PATH)/bmp.lo $(LOBJS) $(D_LOBJS)
	@CMD='$(LD) -shared -o $@ $(LOBJS) $(D_LOBJS) $(PLUGIN_PATH)/bmp.lo `pkg-config --libs bmp`'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo LD $@ ; fi; \
	eval $$CMD

$(PLUGIN_PATH)/bmp.lo: $(PLUGIN_PATH)/bmp.c $(PLUGIN_PATH)/Makefile
	@CMD='$(CC) -c $(CFLAGS) -fPIC -D_REENTRANT $(XCFLAGS) `pkg-config --cflags bmp` -o $@ $(PLUGIN_PATH)/bmp.c'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo CC $@ ; fi; \
	eval $$CMD

install-plugin-bmp:
	@DIR="$(DESTDIR)`pkg-config --variable=input_plugin_dir bmp`"; \
	echo "Installing xmp-bmp.so in $$DIR"; \
	[ -d "$$DIR" ] || mkdir -p "$$DIR"; \
	$(INSTALL_PROGRAM) $(PLUGIN_PATH)/xmp-bmp.so "$$DIR"



plugin-xmms: $(PLUGIN_PATH)/xmp-xmms.so

$(PLUGIN_PATH)/xmp-xmms.so: $(PLUGIN_PATH)/xmms.lo $(LOBJS) $(D_LOBJS)
	@CMD='$(LD) -shared -o $@ $(LOBJS) $(D_LOBJS) $(PLUGIN_PATH)/xmms.lo `xmms-config --libs`'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo LD $@ ; fi; \
	eval $$CMD

$(PLUGIN_PATH)/xmms.lo: $(PLUGIN_PATH)/xmms.c $(PLUGIN_PATH)/Makefile
	@CMD='$(CC) -c $(CFLAGS) -fPIC -D_REENTRANT $(XCFLAGS) `xmms-config --cflags` -o $@ $(PLUGIN_PATH)/xmms.c'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo CC $@ ; fi; \
	eval $$CMD

install-plugin-xmms:
	@DIR="$(DESTDIR)`xmms-config --input-plugin-dir`"; \
	echo "Installing xmp-xmms.so in $$DIR"; \
	[ -d "$$DIR" ] || mkdir -p "$$DIR"; \
	$(INSTALL_PROGRAM) $(PLUGIN_PATH)/xmp-xmms.so "$$DIR"


# A hack to make this link correctly. It should be D_LOBJS but smix.lo
# fails to link (undefined _GLOBAL_OFFSET_TABLE_)
WIN_D_LOBJS = src/drivers/smix.o

plugin-winamp: $(PLUGIN_PATH)/in_xmp.dll

$(PLUGIN_PATH)/in_xmp.dll: $(PLUGIN_PATH)/winamp.lo $(PLUGIN_PATH)/resource.lo $(LOBJS) $(WIN_D_LOBJS)
	@CMD='$(LD) -shared -mwindows -o $@ $(LOBJS) $(WIN_D_LOBJS) $(PLUGIN_PATH)/winamp.lo $(PLUGIN_PATH)/resource.lo'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo LD $@ ; fi; \
	eval $$CMD

$(PLUGIN_PATH)/winamp.lo: $(PLUGIN_PATH)/winamp.c $(PLUGIN_PATH)/Makefile
	@CMD='$(CC) $(CFLAGS) $(XCFLAGS) -o $@ $(PLUGIN_PATH)/winamp.c'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo CC $@ ; fi; \
	eval $$CMD

$(PLUGIN_PATH)/resource.lo: $(PLUGIN_PATH)/resource.rc $(PLUGIN_PATH)/resource.h
	$(WINDRES) -o$@ $(PLUGIN_PATH)/resource.rc

=== src/win32/Makefile ===

WIN32_OBJS	= ptpopen.o debug.o usleep.o
WIN32_DFILES	= Makefile $(WIN32_OBJS:.o=.c) unistd.h config.h ptpopen.h \
		  osdcomm.h sys xmp.dsp in_xmp.dsp xmp.dsp.in in_xmp.dsp.in
WIN32_PATH	= src/win32
WIN32_CLEAN	= in_xmp.dsp xmp.dsp

ifeq ($(PLATFORM_DIR),win32)
OBJS += $(addprefix $(WIN32_PATH)/,$(WIN32_OBJS))
CLEAN += $(addprefix $(WIN32_PATH)/,$(WIN32_CLEAN))
endif

dist-win32: dsps
	mkdir -p $(DIST)/$(WIN32_PATH)
	cp -RPp $(addprefix $(WIN32_PATH)/,$(WIN32_DFILES)) $(DIST)/$(WIN32_PATH)

# Always generate project files with windows drivers
W32DRV_OBJS	= $(addprefix $(DRIVERS_PATH)/,$(DRIVERS_OBJS) win32.o)
W32DRV_LOBJS	= $(addprefix $(DRIVERS_PATH)/,$(DRIVERS_LOBJS))
W_OBJS		= $(addprefix $(WIN32_PATH)/,$(WIN32_OBJS))

dsps: src/win32/xmp.dsp src/win32/in_xmp.dsp

src/win32/xmp.dsp: Makefile Makefile.rules src/*/Makefile src/win32/xmp.dsp.in
	@echo Generate $@
	@rm -f $@.tmp
	@for i in $(OBJS:.o=.c) $(W32DRV_OBJS:.o=.c) $(W_OBJS:.o=.c) $(M_OBJS:.o=.c); do \
	    echo "# Begin Source File" >> $@.tmp; \
	    echo >> $@.tmp; \
	    echo $$i | sed 's!^src!SOURCE=..!;s!/!\\!g' >> $@.tmp; \
	    echo "# End Source File" >> $@.tmp; \
	done
	@sed -e 's/@VERSION@/$(VERSION)/g;/@SOURCES@/{r $@.tmp' -e 'd' -e '}' < $@.in > $@
	@rm -f $@.tmp
	@todos $@

src/win32/in_xmp.dsp: Makefile Makefile.rules src/*/Makefile src/win32/in_xmp.dsp.in
	@echo Generate $@
	@rm -f $@.tmp
	@for i in $(LOBJS:.lo=.c) $(W32DRV_LOBJS:.lo=.c) $(W_OBJS:.o=.c); do \
	    echo "# Begin Source File" >> $@.tmp; \
	    echo >> $@.tmp; \
	    echo $$i | sed 's!^src!SOURCE=..!;s!/!\\!g' >> $@.tmp; \
	    echo "# End Source File" >> $@.tmp; \
	done
	@sed -e 's/@VERSION@/$(VERSION)/g;/@SOURCES@/{r $@.tmp' -e 'd' -e '}' < $@.in > $@
	@rm -f $@.tmp
	@todos $@

=== src/loaders/prowizard/Makefile ===

PROWIZ_OBJS	= prowiz.o ptktable.o tuning.o ac1d.o di.o eureka.o \
		  fc-m.o fuchs.o fuzzac.o gmc.o heatseek.o kris.o ksm.o \
		  mp.o np1.o np2.o np3.o p60a.o p61a.o pm10c.o pm18a.o \
		  pha.o prun1.o prun2.o tdd.o unic.o unic2.o wn.o zen.o \
		  tp3.o p40.o xann.o p50a.o pp21.o starpack.o titanics.o \
		  skyt.o novotrade.o hrt.o
PROWIZ_OBJS2	= noiserun.o pm.o pm01.o \
		  pm20.o pm40.o pp10.o pp30.o tp1.o tp2.o
PROWIZ_DFILES	= Makefile $(PROWIZ_OBJS:.o=.c) $(PROWIZ_OBJS2:.o=.c) prowiz.h
PROWIZ_PATH	= src/loaders/prowizard

OBJS += $(addprefix $(PROWIZ_PATH)/, $(PROWIZ_OBJS))

dist-prowiz:
	mkdir -p $(DIST)/$(PROWIZ_PATH)
	cp -RPp $(addprefix $(PROWIZ_PATH)/,$(PROWIZ_DFILES)) $(DIST)/$(PROWIZ_PATH)

## xmp 3.3.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
-VERSION	= 3.2.0
+VERSION	= 3.3.0
 DIST    = xmp-$(VERSION)
-MODULES = "bzl-funky_escalator.xm"
+MODULES = "graff-strange_land.xm"
 DFILES  = README INSTALL configure configure.in Makefile Makefile.rules.in \
 	  scripts $(MODULES)
 DDIRS	= docs drivers etc include loaders misc player plugin prowiz win32 \

=== src/loaders/prowizard/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 		  mp.o np1.o np2.o np3.o p60a.o p61a.o pm10c.o pm18a.o \
 		  pha.o prun1.o prun2.o tdd.o unic.o unic2.o wn.o zen.o \
 		  tp3.o p40.o xann.o p50a.o pp21.o starpack.o titanics.o \
-		  skyt.o novotrade.o hrt.o
-PROWIZ_OBJS2	= noiserun.o pm.o pm01.o \
+		  skyt.o novotrade.o hrt.o noiserun.o
+PROWIZ_OBJS2	= pm.o pm01.o \
 		  pm20.o pm40.o pp10.o pp30.o tp1.o tp2.o
 PROWIZ_DFILES	= Makefile $(PROWIZ_OBJS:.o=.c) $(PROWIZ_OBJS2:.o=.c) prowiz.h
 PROWIZ_PATH	= src/loaders/prowizard

## xmp 3.4.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
-VERSION	= 3.3.0
+VERSION	= 3.4.0
 DIST    = xmp-$(VERSION)
-MODULES = "graff-strange_land.xm"
+MODULES = "SynthSong1"
 DFILES  = README INSTALL configure configure.in Makefile Makefile.rules.in \
 	  scripts $(MODULES)
 DDIRS	= docs drivers etc include loaders misc player plugin prowiz win32 \
@@ -38,7 +38,7 @@
 .SUFFIXES: .c .o .lo .a .so .dll
 
 # Implicit rules for object generation. Position-independent code is intended
-# to be used in plugins, so it's also built thread-safe and with the callback
+# to be used in plugins, so it's also built thread-safe and with the smixer
 # driver only.
 
 .c.o:

=== src/loaders/Makefile ===
--- 
+++ 
@@ -4,9 +4,9 @@
 	  ult_load.o mdl_load.o it_load.o stx_load.o pt3_load.o sfx_load.o \
 	  flt_load.o st_load.o emod_load.o imf_load.o digi_load.o fnk_load.o \
 	  ice_load.o hsc_load.o liq_load.o ims_load.o masi_load.o amf_load.o \
-	  psm_load.o stim_load.o mmd1_load.o mmd3_load.o \
+	  psm_load.o stim_load.o mmd_common.o mmd1_load.o mmd3_load.o \
 	  rtm_load.o dmf_load.o tcb_load.o dt_load.o gtk_load.o no_load.o \
-	  arch_load.o sym_load.o dtt_load.o mgt_load.o med3_load.o \
+	  arch_load.o sym_load.o dtt_load.o mgt_load.o med2_load.o med3_load.o \
 	  med4_load.o ssmt_load.o dbm_load.o umx_load.o gdm_load.o \
 	  coco_load.o pw_load.o gal5_load.o gal4_load.o mfp_load.o \
 	  polly_load.o

=== src/plugin/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 PLUGIN_OBJS	=
 PLUGIN_DFILES	= Makefile $(PLUGIN_OBJS:.o=.c) xmms.c bmp.c audacious.c \
-		  winamp.c resource.rc resource.h in2.h out.h
+		  audacious3.c winamp.c resource.rc resource.h in2.h out.h
 PLUGIN_PATH	= src/plugin
 
 dist-plugin:
@@ -11,6 +11,10 @@
 
 WINDRES = i586-mingw32msvc-windres
 
+
+# ------------------------------------------------------------------------
+# Audacious 2 plugin
+# ------------------------------------------------------------------------
 
 plugin-audacious: $(PLUGIN_PATH)/xmp-audacious.so
 
@@ -31,6 +35,32 @@
 	$(INSTALL_PROGRAM) $(PLUGIN_PATH)/xmp-audacious.so "$$DIR"
 
 
+# ------------------------------------------------------------------------
+# Audacious 3 plugin
+# ------------------------------------------------------------------------
+
+plugin-audacious3: $(PLUGIN_PATH)/xmp-audacious3.so
+
+$(PLUGIN_PATH)/xmp-audacious3.so: $(PLUGIN_PATH)/audacious3.lo $(LOBJS) $(D_LOBJS)
+	@CMD='$(LD) -shared -o $@ $(LOBJS) $(D_LOBJS) $(PLUGIN_PATH)/audacious3.lo `pkg-config --libs audacious`'; \
+	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo LD $@ ; fi; \
+	eval $$CMD
+
+$(PLUGIN_PATH)/audacious3.lo: $(PLUGIN_PATH)/audacious3.c $(PLUGIN_PATH)/Makefile
+	@CMD='$(CC) $(CFLAGS) -fPIC -D_REENTRANT $(XCFLAGS) `pkg-config --cflags audacious` -o $@ $(PLUGIN_PATH)/audacious3.c'; \
+	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo CC $@ ; fi; \
+	eval $$CMD
+
+install-plugin-audacious3:
+	@DIR="$(DESTDIR)`pkg-config --variable=input_plugin_dir audacious`"; \
+	echo "Installing xmp-audacious3.so in $$DIR"; \
+	[ -d "$$DIR" ] || mkdir -p "$$DIR"; \
+	$(INSTALL_PROGRAM) $(PLUGIN_PATH)/xmp-audacious3.so "$$DIR"
+
+
+# ------------------------------------------------------------------------
+# BMP plugin
+# ------------------------------------------------------------------------
 
 plugin-bmp: $(PLUGIN_PATH)/xmp-bmp.so
 
@@ -51,6 +81,9 @@
 	$(INSTALL_PROGRAM) $(PLUGIN_PATH)/xmp-bmp.so "$$DIR"
 
 
+# ------------------------------------------------------------------------
+# XMMS plugin
+# ------------------------------------------------------------------------
 
 plugin-xmms: $(PLUGIN_PATH)/xmp-xmms.so
 
@@ -71,6 +104,10 @@
 	$(INSTALL_PROGRAM) $(PLUGIN_PATH)/xmp-xmms.so "$$DIR"
 
 
+# ------------------------------------------------------------------------
+# Winamp plugin
+# ------------------------------------------------------------------------
+
 # A hack to make this link correctly. It should be D_LOBJS but smix.lo
 # fails to link (undefined _GLOBAL_OFFSET_TABLE_)
 WIN_D_LOBJS = src/drivers/smix.o

=== debian/changelog ===
xmp (3.4.0-3) unstable; urgency=low

  * QA upload.
  * Add CVE-2013-1980.patch patch.
    CVE-2013-1980: fix MASI parsing buffer overflow. (Closes: #706667)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 17 May 2013 08:51:40 +0200

xmp (3.4.0-2) unstable; urgency=low

  * QA upload.
  * Enable PulseAudio support (Closes: #650876).
  * debian/patches/audacious-3.3.patch:
    - Fix FTBFS with audacious 3.3 (Closes: #707424, LP: #1076497)
  * debian/patches/fix-audacious-xmp-plugin.patch:
    - Fix crash in audacious xmp plugin. Patch by Lem (~lem-jjr). (LP: #1066868)
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to short-form debhelper 9.

 -- Benjamin Drung <bdrung@debian.org>  Sun, 12 May 2013 16:34:17 +0200

xmp (3.4.0-1.1) unstable; urgency=low

  * NMU upload.
  * debian/patches/audacious-3.1.patch:
    - Fix FTBFS with Audacious 3.2. (Closes: #657592)
  * debian/xmp-audacious.install:
    - Cope with audacious being built for multiarch. Thanks to
      Colin Watson for sending a fix!

 -- Artur Rona <ari-tczew@tlen.pl>  Sat, 21 Apr 2012 15:50:30 +0200

xmp (3.4.0-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version to 3.9.2.
  * Switch to dpkg-source format version 3.0 (quilt).
  * Drop article from descriptions.
  * Update build-depends. (Closes: #634743)
  * debian/control: Drop conflicts.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 11 Aug 2011 10:02:29 +0200

xmp (3.3.0-1) unstable; urgency=low

  * New upstream version.
  * debian/copyright: updated years.
  * Bump standards version to 3.9.1.
  * Bump debhelper version to 8.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 02 Dec 2010 15:19:42 +0100

xmp (3.2.0-0.1) unstable; urgency=low

  * NMU
  * New upstream release (Closes: #586565)
  * debian/control
    - set "Standards-Version: 3.8.4"
    - Update Build-Depends from "audacious-plugins-dev" to "audacious-dev"
     (Closes: #583984)
    - add "Depends: ${misc:Depends}" to each package

 -- Hideki Yamane <henrich@debian.org>  Tue, 29 Jun 2010 00:06:50 +0900

xmp (3.0.0+20090923-1) unstable; urgency=low

  * New upstream version.
  * Drop support for Arts and ESD and NAS, because
    they are obsoleted.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 23 Sep 2009 15:18:20 +0200

xmp (2.7.1-2) unstable; urgency=low

  * Fix manpage. (Closes: #542200)
  * Fix ./configure. (Closes: #541799)
  * Bump standards version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 19 Aug 2009 23:06:11 +0200

xmp (2.7.1-1) unstable; urgency=low

  * New upstream version. (Closes: #483389, #442147)
  * Updated debian/copyright.
  * Don't build xmp-x11 anymore since it won't exist anymore.
  * debian/control: recommend unmo3.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 21 Jul 2009 09:19:14 +0200

xmp (2.6.1-1) unstable; urgency=low

  * New upstream version.
  * Update my email address.
  * Bump debhelper version.
  * Bump standards version.
  * Updated debian/copyright.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 29 Jun 2009 22:20:49 +0200

xmp (2.5.1-1) unstable; urgency=low

  * New upstream version.
  * Build audacious plugin. (Closes: #454630)
  * Add myself to Uploaders: after discussing with Gürkan.
  * Fix XMP plugin behaviour when built against Audacious 1.4 or later.
  * Remove XMMS plugin since XMMS is pending removal in Lenny.
  * Remove "shared" debian/copyright and debian/changelog insanity.
  * Majorly rework debian/rules to bring it in line with current standards and
    policy.
  * Fix FTBFS on Debian/kFreeBSD.
  * Fix watch file. (Closes: #453558)

 -- William Pitcock <nenolod@sacredspiral.co.uk>  Sat, 08 Dec 2007 18:45:32 -0600

xmp (2.5.0-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Priority optional, updated standards version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 28 Nov 2007 11:08:48 +0100

xmp (2.5.0-pre2-1) experimental; urgency=low

  * New upstream version.
  * debian/control: Added libpulse-dev to build-depends.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 12 Nov 2007 14:24:24 +0100

xmp (2.4.1-1) unstable; urgency=low

  * New upstream version. (Closes: #448587)
  * New maintainer.
  * Cleaned up debian/rules.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun, 04 Nov 2007 23:16:11 +0100

xmp (2.3.2-1) unstable; urgency=low

  * QA upload.
  * New upstream version.
  * Typo in manpage fixed by upstream (closes: #442147).
  * Problems with impulse tracker mods seem also be fixed now
    (closes: #356204).
  * Add --enable-nas, --enable-arts to configure flags.
  * Remove libxmp2, xmp-alsa, and xmp-esd packages, since dynamic compilation
    of drivers is no longer supported.
  * X11 version was also dropped, made xmp-x11 dummy package depending on xmp.
  * Change architecture of xmp-common and xmp-x11 to all.
  * Move homepage URL from packages' descripions to its own fields.
  * Switch to ${binary:Version} instead of ${Source-Version}.

 -- Robert Luberda <robert@debian.org>  Sun, 21 Oct 2007 17:05:36 +0200

xmp (2.0.4d-12) unstable; urgency=low

  * Orphaning package, set maintainer to Debian QA Group.
  * Update config.{guess,sub}.
  * Turn /usr/share/doc/libxmp2 symlink into a regular directory.
  * Drop libxmp2 dependancy on xmp-common (closes: #355408).
  * Remove outdated xmp.preinst.
  * Standards-Version: 3.7.2.

 -- Robert Luberda <robert@debian.org>  Wed, 18 Apr 2007 22:03:31 +0200

xmp (2.0.4d-11) unstable; urgency=low

  * Add libxt-dev to build-dependencies to fix FTBFS.
  * Update config.{guess,sub}.

 -- Robert Luberda <robert@debian.org>  Sun, 18 Dec 2005 22:27:33 +0100

xmp (2.0.4d-10) unstable; urgency=low

  * Remove xlibs-dev build-dependency, use libxext-dev, libx11-dev instead.
  * Update FSF address in the copyright file (lintian).
  * Switch to debhelper v5.
  * Standards-Version: 3.6.2 (no changes).
  * Update debian/watch file, use qa.debian.org/watch/sf.php for the upstream
    site.



=== debian/control ===
Source: xmp
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.4
Build-Depends: audacious-dev (>= 3.2-2),
               autotools-dev,
               debhelper (>= 9),
               libasound2-dev (>= 1.0) [linux-any] | libasound-dev (>= 1.0) [linux-any],
               libaudio-dev (>= 1.9),
               libpulse-dev,
               libx11-dev,
               libxext-dev,
               libxt-dev
Homepage: http://xmp.sourceforge.net/

Package: xmp-common
Architecture: all
Depends: ${misc:Depends}
Replaces: xmp (<< 1.1.3-2)
Description: common files for xmp and the xmp Audacious plugin
 This package contains configuration and documentation files and
 the OSS PCM audio and sequencer drivers for xmp and
 xmp-audacious.

Package: xmp
Architecture: any
Depends: xmp-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: xmp-player
Recommends: unmo3
Suggests: lha
Description: module player supporting AWE32, GUS, and software-mixing
 xmp is a multi-format module player for UNIX. In machines with GUS or
 AWE cards xmp takes advantage of the OSS sequencer to play modules with
 virtually no system load. Using software mixing, xmp plays at sampling
 rates up to 48 kHz in mono or stereo, 8 or 16 bits, signed or unsigned,
 little or big endian samples with 32 bit linear interpolation. xmp
 currently supports more than 40 module formats.

Package: xmp-audacious
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: xmp-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: audacious, unmo3
Provides: xmp-player
Description: XMP plugin for Audacious
 This package contains an xmp plugin for Audacious, supporting more
 than 40 module formats including Protracker variants, packed MODs,
 S3M, XM, IT with filters, exotic formats and Adlib modules.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --enable-audacious-plugin --enable-pulseaudio

override_dh_auto_clean:
	[ ! -f Makefile.rules ] || $(MAKE) clean
	rm -f src/drivers/smix.lo src/main/xmp src/plugin/audacious3.lo src/plugin/xmp-audacious3.so
	rm -f config.log config.status

## xmp 4.0.6

=== debian/changelog ===
xmp (4.0.6-1) unstable; urgency=low

  * New maintainer (closes: #691840).
  * New upstream version, based on libxmp (closes: #717855):
    - supports ALSA output (closes: #636862);
    - splits the audacious plugin into a separate project, so remove
      xmp-audacious and xmp-common;
    - supports LHA archives using a build-in decompressor in libxmp
      (closes: #697629);
    - displays total duration and elapsed time (closes: #191109).
  * Standards-Version 3.9.5, no change required.
  * Patch the manpage to fix hyphens used as minus signs.

 -- Stephen Kitt <skitt@debian.org>  Sun, 01 Dec 2013 23:21:37 +0100

=== debian/control ===
Source: xmp
Section: sound
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Standards-Version: 3.9.5
Build-Depends: autotools-dev,
               debhelper (>= 9),
               libasound2-dev (>= 1.0) [linux-any] | libasound-dev (>= 1.0) [linux-any],
               libaudio-dev (>= 1.9),
               libpulse-dev,
               libxmp-dev
Homepage: http://xmp.sourceforge.net/

Package: xmp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: xmp-player
Replaces: xmp-common (<< 4.0.6)
Description: module player supporting AWE32, GUS, and software-mixing
 xmp is a multi-format module player for UNIX. In machines with GUS or
 AWE cards xmp takes advantage of the OSS sequencer to play modules with
 virtually no system load. Using software mixing, xmp plays at sampling
 rates up to 48 kHz in mono or stereo, 8 or 16 bits, signed or unsigned,
 little or big endian samples with 32 bit linear interpolation. xmp
 currently supports more than 40 module formats.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --enable-pulseaudio

## xmp 4.0.8

=== debian/changelog ===
xmp (4.0.8-1) unstable; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Mon, 04 Aug 2014 23:57:39 +0200

xmp (4.0.7-1) unstable; urgency=medium

  * New upstream version.
  * Drop manpage-hyphens.patch, merged upstream.
  * Switch to dh-autoreconf (the upstream package is built with automake
    1.13 and requires that, so autotools_dev no longer works).
  * Add packaging repository information.
  * Switch to machine-readable format for debian/copyright.
  * Change priority to extra to match overrides.

 -- Stephen Kitt <skitt@debian.org>  Wed, 05 Mar 2014 07:53:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: xmp
 Section: sound
-Priority: optional
+Priority: extra
 Maintainer: Stephen Kitt <skitt@debian.org>
 Standards-Version: 3.9.5
 Build-Depends: autotools-dev,
                debhelper (>= 9),
+               dh-autoreconf,
                libasound2-dev (>= 1.0) [linux-any] | libasound-dev (>= 1.0) [linux-any],
                libaudio-dev (>= 1.9),
                libpulse-dev,
                libxmp-dev
 Homepage: http://xmp.sourceforge.net/
+Vcs-Git: git://anonscm.debian.org/collab-maint/xmp.git
+Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/xmp.git;a=summary
 
 Package: xmp
 Architecture: any

## xmp 4.0.9

=== debian/changelog ===
xmp (4.0.9-1) unstable; urgency=medium

  * New upstream version, requiring libxmp 4.3 or later.

 -- Stephen Kitt <skitt@debian.org>  Mon, 29 Sep 2014 00:22:23 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libasound2-dev (>= 1.0) [linux-any] | libasound-dev (>= 1.0) [linux-any],
                libaudio-dev (>= 1.9),
                libpulse-dev,
-               libxmp-dev
+               libxmp-dev (>= 4.3)
 Homepage: http://xmp.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/xmp.git
 Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/xmp.git;a=summary

## xmp 4.0.10

=== debian/changelog ===
xmp (4.0.10-2) unstable; urgency=medium

  * Add license information for src/sound_aiff.c.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Fri, 15 May 2015 00:41:12 +0200

xmp (4.0.10-1) experimental; urgency=medium

  * New upstream release, uploaded to experimental for the Jessie freeze.
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 01 Dec 2014 23:54:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: sound
 Priority: extra
 Maintainer: Stephen Kitt <skitt@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-pulseaudio

## xmp 4.0.11

=== debian/changelog ===
xmp (4.0.11-1) unstable; urgency=medium

  * New upstream release.
  * Switch to https: VCS URIs (see #810378).
  * Standards-Version 3.9.7, no change required (but clean up
    debian/control using cme).
  * Enable all hardening options.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Mar 2016 22:52:31 +0100

=== debian/control ===
Source: xmp
Maintainer: Stephen Kitt <skitt@debian.org>
Section: sound
Priority: extra
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               libasound2-dev | libasound-dev [linux-any],
               libaudio-dev,
               libpulse-dev,
               libxmp-dev
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xmp.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/xmp.git
Homepage: http://xmp.sourceforge.net/

Package: xmp
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: xmp-player
Replaces: xmp-common (<< 4.0.6)
Description: module player supporting AWE32, GUS, and software-mixing
 xmp is a multi-format module player for UNIX. In machines with GUS or
 AWE cards xmp takes advantage of the OSS sequencer to play modules with
 virtually no system load. Using software mixing, xmp plays at sampling
 rates up to 48 kHz in mono or stereo, 8 or 16 bits, signed or unsigned,
 little or big endian samples with 32 bit linear interpolation. xmp
 currently supports more than 40 module formats.

## xmp 4.1.0

=== debian/changelog ===
xmp (4.1.0-3) unstable; urgency=low

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.

  [ Stephen Kitt ]
  * Record that spelling-fixes.patch has been forwarded upstream.
  * Fix the email addresses in the changelog.
  * Set “Rules-Requires-Root: no”.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.0, no further change required.
  * Fix the apostrophes in the man page.

 -- Stephen Kitt <skitt@debian.org>  Sun, 11 Oct 2020 21:38:06 +0200

xmp (4.1.0-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Update debian/copyright.
  * Switch to debhelper compatibility level 11.
  * Change priority to “optional”.
  * Fix a spelling mistake in the manpage (thanks Lintian).
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 15 May 2018 19:43:11 +0200

xmp (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 3.9.8, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 24 Jul 2016 12:42:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: xmp
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: sound
-Priority: extra
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
-               dh-autoreconf,
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
                libasound2-dev | libasound-dev [linux-any],
                libaudio-dev,
                libpulse-dev,
-               libxmp-dev
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xmp.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/xmp.git
+               libxmp-dev (>= 4.4)
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/mod-player-team/xmp
+Vcs-Git: https://salsa.debian.org/mod-player-team/xmp.git
 Homepage: http://xmp.sourceforge.net/
+Rules-Requires-Root: no
 
 Package: xmp
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-pulseaudio

## xmp 4.2.0

=== debian/changelog ===
xmp (4.2.0-2) unstable; urgency=medium

  * Drop the “Replaces” stanza on xmp-common, it was removed a decade
    ago.
  * Drop the build-dependency on libaudio-dev, it’s no longer used.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 03 Feb 2025 08:47:34 +0100

xmp (4.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 25 Jun 2023 15:15:49 +0200

xmp (4.1.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libxmp-dev.
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.2, no changes needed.

  [ Stephen Kitt ]
  * Bump debian/watch to version 4, switch to secure URL.

 -- Stephen Kitt <skitt@debian.org>  Sun, 22 Jan 2023 22:57:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libasound2-dev | libasound-dev [linux-any],
-               libaudio-dev,
                libpulse-dev,
-               libxmp-dev (>= 4.4)
-Standards-Version: 4.5.0
+               libxmp-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/mod-player-team/xmp
 Vcs-Git: https://salsa.debian.org/mod-player-team/xmp.git
-Homepage: http://xmp.sourceforge.net/
+Homepage: https://xmp.sourceforge.net/
 Rules-Requires-Root: no
 
 Package: xmp
@@ -18,7 +17,6 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Provides: xmp-player
-Replaces: xmp-common (<< 4.0.6)
 Description: module player supporting AWE32, GUS, and software-mixing
  xmp is a multi-format module player for UNIX. In machines with GUS or
  AWE cards xmp takes advantage of the OSS sequencer to play modules with
